summaryrefslogtreecommitdiffstats
path: root/slackware64-current/source/d/make
diff options
context:
space:
mode:
authorAdrien Nader <adrien@notk.org>2011-11-22 18:20:23 +0100
committerAdrien Nader <adrien@notk.org>2011-11-22 18:20:23 +0100
commit8d8f55a7777f486770ef3f07f8b1bb2a934225db (patch)
treeac6b86793ad05273f2a824ea32c77fe965f2e2d1 /slackware64-current/source/d/make
parent36e37dbfeeed8c64cb84ef1cc184acd62d6bcf0a (diff)
Tue Nov 22 15:23:55 UTC 2011
Patched a free() crash when building Android. Thanks to Troy Unrau. testing/packages/mozilla-firefox-9.0b2-x86_64-1.txz: Upgraded. Thu Nov 17 02:09:25 UTC 2011 n/bind-9.7.4_P1-x86_64-1.txz: Upgraded. --- 9.7.4-P1 released --- 3218. [security] Cache lookup could return RRSIG data associated with nonexistent records, leading to an assertion failure. [RT #26590] (* Security fix *)
Diffstat (limited to 'slackware64-current/source/d/make')
-rw-r--r--slackware64-current/source/d/make/make-3.82-android-build-fix.diff.gz1
-rwxr-xr-xslackware64-current/source/d/make/make.SlackBuild7
2 files changed, 6 insertions, 2 deletions
diff --git a/slackware64-current/source/d/make/make-3.82-android-build-fix.diff.gz b/slackware64-current/source/d/make/make-3.82-android-build-fix.diff.gz
new file mode 100644
index 000000000..70e84a9ab
--- /dev/null
+++ b/slackware64-current/source/d/make/make-3.82-android-build-fix.diff.gz
@@ -0,0 +1 @@
+d63f2f2eea11fbde70761cea92baf764911e473b
diff --git a/slackware64-current/source/d/make/make.SlackBuild b/slackware64-current/source/d/make/make.SlackBuild
index 97cbd99cc..18f701b6a 100755
--- a/slackware64-current/source/d/make/make.SlackBuild
+++ b/slackware64-current/source/d/make/make.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2005-2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2005-2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
PKGNAM=make
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,6 +70,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix a problem using make-3.82 to build Android:
+zcat $CWD/make-3.82-android-build-fix.diff.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \